export interface MessageQueueOptions<T> {
    send: (e: T) => void;
    sendChannelIsReady: () => boolean;
    flushTimeout?: number;
}
export declare class MessageQueue<T extends any> {
    private _queue;
    private _flushing;
    private _send;
    private _sendChannelIsReady;
    private _flushTimeout;
    constructor(options: MessageQueueOptions<T>);
    flush(): void;
    private _flush;
    push(data: T): void;
    clear(): void;
    dispose(): void;
    get length(): number;
    scheduled: any;
    scheduleFlush(): void;
}
